org.eclipse.jgit.errors

## Class IncorrectObjectTypeException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.IncorrectObjectTypeException

All Implemented Interfaces:
  Serializable

    public class IncorrectObjectTypeException
    extends IOException

An inconsistency with respect to handling different object types. This most likely signals a programming error rather than a corrupt object database.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`IncorrectObjectTypeException(ObjectId id, int type)` Construct and IncorrectObjectTypeException for the specified object id.
`IncorrectObjectTypeException(ObjectId id, String type)` Construct and IncorrectObjectTypeException for the specified object id.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IncorrectObjectTypeException

    public IncorrectObjectTypeException(ObjectId id,
                                String type)

Construct and IncorrectObjectTypeException for the specified object id. Provide the type to make it easier to track down the problem.

Parameters:
  `id` - SHA-1
  `type` - object type

#### IncorrectObjectTypeException

    public IncorrectObjectTypeException(ObjectId id,
                                int type)

Construct and IncorrectObjectTypeException for the specified object id. Provide the type to make it easier to track down the problem.

Parameters:
  `id` - SHA-1
  `type` - object type